fix broken zone iteration
[oweals/gnunet.git] / src / gns / test_gns_dht_lookup.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
3 which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
4
5 LOCATION=$(which gnunet-config)
6 if [ -z $LOCATION ]
7 then
8   LOCATION="gnunet-config"
9 fi
10 $LOCATION --version 1> /dev/null
11 if test $? != 0
12 then
13         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
14         exit 77
15 fi
16
17 TEST_IP="127.0.0.1"
18 MY_EGO="myego"
19 OTHER_EGO="delegatedego"
20
21 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
22 gnunet-arm -s -c test_gns_lookup.conf
23 gnunet-arm -i zonemaster -c test_gns_lookup.conf
24 gnunet-arm -i datastore -c test_gns_lookup.conf
25 gnunet-identity -C $OTHER_EGO -c test_gns_lookup.conf
26 DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep $OTHER_EGO | awk '{print $3}')
27 gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
28 gnunet-namestore -p -z $MY_EGO -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
29 #This works
30 gnunet-namestore -p -z $OTHER_EGO -a -n www -t A -V $TEST_IP -e never -c test_gns_lookup.conf
31 #This doesn't
32 gnunet-namestore -p -z $OTHER_EGO -a -n www2 -t A -V $TEST_IP -e '5 s' -c test_gns_lookup.conf
33 sleep 6
34 #gnunet-namestore -p -z $OTHER_EGO -d -n www2 -t A -V $TEST_IP -e '5 s' -c test_gns_lookup.conf
35 #gnunet-namestore -p -z $OTHER_EGO -a -n www2 -t A -V $TEST_IP -e '5 s' -c test_gns_lookup.conf
36 gnunet-arm -k zonemaster -c test_gns_lookup.conf
37 gnunet-arm -i zonemaster -c test_gns_lookup.conf
38 #gnunet-arm -r -c test_gns_lookup.conf
39 #gnunet-arm -i zonemaster
40 #gnunet-arm -i gns -c test_gns_lookup.conf
41 gnunet-arm -I -c test_gns_lookup.conf
42 #gnunet-identity -D $OTHER_EGO -c test_gns_lookup.conf
43 #gnunet-namestore -z $MY_EGO -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
44 #gnunet-namestore -z $OTHER_EGO -d -n www -t A -V $TEST_IP  -e never -c test_gns_lookup.conf
45 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -u www.b.$MY_EGO -t A -c test_gns_lookup.conf`
46 RES_IP_REL=`$DO_TIMEOUT gnunet-gns --raw -u www2.b.$MY_EGO -t A -c test_gns_lookup.conf`
47 #gnunet-namestore -z $MY_EGO -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
48 gnunet-arm -I -c test_gns_lookup.conf
49 gnunet-arm -e -c test_gns_lookup.conf
50 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
51
52 if [ "$RES_IP_REL" != "$TEST_IP" ]
53 then
54   echo "Failed to resolve to proper IP, got $RES_IP_REL. (relative expiration)"
55   #exit 1
56 fi
57 if [ "$RES_IP" == "$TEST_IP" ]
58 then
59   exit 0
60 else
61   echo "Failed to resolve to proper IP, got $RES_IP."
62   exit 1
63 fi